- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DRender
- QLevelOfDetailSwitch
- Qt 6.5.1 Reference Documentation

# QLevelOfDetailSwitch Class

class Qt3DRender::QLevelOfDetailSwitch

Provides a way of enabling child entities based on distance or screen size. More...

Header: | #include <QLevelOfDetailSwitch>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | LevelOfDetailSwitch
Inherits: | Qt3DRender::QLevelOfDetail

- List of all members, including inherited members

## Public Functions

| QLevelOfDetailSwitch(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

This component is assigned to an entity. When the entity changes distance relative to the camera, the QLevelOfDetailSwitch will disable all the child entities except the one matching index Qt3DRender::QLevelOfDetailSwitch::currentIndex.

## Member Function Documentation

### `[explicit]` QLevelOfDetailSwitch::QLevelOfDetailSwitch(Qt3DCore::QNode *parent = nullptr)

Constructs a new QLevelOfDetailSwitch with the specified parent.